apiVersion: "ryax.tech/v2.0"
kind: Publisher
spec:
  id: s3-uploader
  human_name: Upload a file to S3 on specified bucket and folder
  type: python3
  version: "1.3.0"
  logo: "logo.png"
  description: "Upload a file to S3 on specified bucket and folder, can use a timestamp to create unique files regardless of filename."
  categories:
  - Action
  - Amazon
  - Content & Files
  - Default Actions
  inputs: 
  - help: "A file to upload on S3."
    human_name: "File"
    name: file_to_upload
    type: file
  - help: "A 20 character long string"
    human_name: "AWS key"
    name: aws_access_key_id
    type: string
  - help: "A 40 character long string"
    human_name: "AWS secret key"
    name: aws_secret_access_key
    type: password
  - help: "Bucket Name"
    human_name: "bucket name"
    name: bucket
    type: string
  - help: "Folder name"
    human_name: "folder name"
    name: folder
    type: string
  - help: Add a timestamp to the file name
    human_name: Timstamp
    name: timestamp_bool
    type: enum
    enum_values:
    - timestamp
    - no-timestamp
  outputs: []
